﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TileViewChangeTheLargeContent
{
	public partial class OldLargeContent : UserControl
	{
		public OldLargeContent()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			RadTileViewItem tile = (e.OriginalSource as Button).ParentOfType<RadTileViewItem>();
			if (tile != null && tile.TileState == TileViewItemState.Maximized)
			{
				RadFluidContentControl fluidControl = tile.ChildrenOfType<RadFluidContentControl>().FirstOrDefault();
				fluidControl.LargeContent = new NewLargeContentControl();
			}
		}
	}
}
